#include <bits/stdc++.h>
using namespace std;

int n,k;
int poz[1000005];
int neg[1000005];
int x;
vector<int> sol;

int main()
{
    cin>>n>>k;
    while(n--)
    {
        cin>>x;
        if(x>=0)
            poz[x]++;
        else
            neg[-x]++;
    }
    for(int i=0; i<1000005; i++)
    {
        if(poz[i]>=k)
            sol.push_back(i);
        if(neg[i]>=k)
            sol.push_back(-i);
    }
    cout<<sol.size()<<"\n";
    for(int i=0; i<sol.size(); i++)
        cout<<sol[i]<<" ";
    return 0;
}